summaryrefslogtreecommitdiff
path: root/Master/bin/i386-solaris/mktexlsr
diff options
context:
space:
mode:
Diffstat (limited to 'Master/bin/i386-solaris/mktexlsr')
-rwxr-xr-xMaster/bin/i386-solaris/mktexlsr12
1 files changed, 7 insertions, 5 deletions
diff --git a/Master/bin/i386-solaris/mktexlsr b/Master/bin/i386-solaris/mktexlsr
index 6de87ca9823..57308fb1f96 100755
--- a/Master/bin/i386-solaris/mktexlsr
+++ b/Master/bin/i386-solaris/mktexlsr
@@ -11,7 +11,7 @@
# <te@dbs.uni-hannover.de>, Okt., 1994.
# Public domain.
-version='$Id: mktexlsr 22885 2011-06-09 17:27:39Z karl $'
+version='$Id: mktexlsr 22888 2011-06-09 18:05:15Z karl $'
progname=`echo $0 | sed 's%.*/%%'`
usage="Usage: $progname [OPTION]... [DIR]...
@@ -101,10 +101,12 @@ while test $# -gt 0; do
# supporting spaces in the name. This still doesn't support
# newlines in the directory names, but nobody ever complains about
# that, and it seems much too much trouble to use \0 terminators.
- (umask 077 && touch "$treefile" ) \
- || { echo "$progname: $treefile: could not create arg file, goodbye." >&2;\
- exit 1; }
- echo "$1" >"$treefile"
+ (umask 077
+ if echo "$1" >>"$treefile"; then :; else
+ echo "$progname: $treefile: could not append to arg file, goodbye." >&2
+ exit 1
+ fi
+ )
fi
shift
done